@charset "utf-8";

/* Homepage grids */
.enveloppe-grille-contenu {
	background: var(--wp--preset--color--claire);
	box-shadow: var(--wp--preset--shadow--petite);
	padding: var(--wp--preset--spacing--petit);
}
.grille-contenu {
	display: grid;
	gap: var(--wp--preset--spacing--petit);
	grid-template-columns: repeat(auto-fill, minmax(min(13rem, 100%), 1fr));
}
.grille-contenu > :is(*, div) {
	margin: 0;
}
[class*="is-style-post-temp-grille-en-avant"].grille-contenu {
	grid-template-columns: 1fr;
}
.grille-contenu .article .corps .titre-publication-archive {
	font-size: var(--wp--preset--font-size--taille-4);
}
[class*="is-style-post-temp-grille-en-avant"] .wp-block-post .article {
	display: grid;
	grid-template-columns: 1fr;
}

/* Image & title card */
.is-style-post-temp-titre-cartouche .article {
	display: grid;
	grid-template-columns: 1fr;
}
.is-style-post-temp-titre-cartouche .image-une {
	z-index: 1;
}
.is-style-post-temp-titre-cartouche .corps {
	z-index: 2;
	align-self: end;
}
.is-style-post-temp-titre-cartouche .corps,
.is-style-post-temp-titre-cartouche .image-une {
	grid-row: 1 / 2;
	grid-column: 1 / 2;
}
.is-style-post-temp-titre-cartouche .corps a,
.is-style-post-temp-titre-cartouche .corps a span {
	color: var(--wp--preset--color--claire);
	opacity: 1;
}
.is-style-post-temp-titre-cartouche .corps a:hover,
.is-style-post-temp-titre-cartouche .corps a span {
	opacity: 0.8;
	color: var(--wp--preset--color--claire);
}

/* Featured Image Title Excerpt */
.is-style-post-temp-img-titre-extrait .wp-block-post {
	background: var(--wp--preset--color--claire);
	box-shadow: var(--wp--preset--shadow--petite);
}
.is-style-post-temp-img-titre-extrait .article .corps .titre-publication-archive {
	font-size: var(--wp--preset--font-size--taille-4);
}

/* Featured wrapper in columns */
.enveloppe-une-colonnes .article {
	display: flex;
	flex-direction: column;
	align-items: center;
	position: relative;
}
.enveloppe-une-colonnes .image-une {
	margin: 0;
	z-index: 1;
	width: 100%;
}
.enveloppe-une-colonnes .image-une a {
	display: block;
	width: 100%;
}
.enveloppe-une-colonnes .wp-block-column .corps {
	background: var(--wp--preset--color--claire);
	width: 89%;
	margin-top: -1.2rem;
	z-index: 2;
}
.enveloppe-une-colonnes .corps {
	padding: var(--wp--preset--spacing--petit);
	margin-top: 0;
}
.enveloppe-une-colonnes .corps .titre-publication-archive  {
	font-size: var(--wp--preset--font-size--taille-4);
	margin-top: 5px;
}

/* Homepage Slider */
.home .swiper-bloc .swiper-slide-prev,
.home .swiper-bloc .swiper-slide-next {
	opacity: 0.3;
}

/* Media Queries */
@media (min-width: 400px) {

	[class*="is-style-post-temp-grille-en-avant"] .wp-block-post:nth-child(n+2) .article {
		grid-template-columns: 1fr 2fr;
		gap: var(--wp--preset--spacing--petit);
	}
	.is-style-post-temp-grille-2-col.grille-contenu {
		grid-template-columns: 1fr 1fr;
	}

}
@media (min-width: 781px) {

	.is-style-post-temp-grille-en-avant-2-col.grille-contenu {
		grid-template-columns: 1fr 1fr;
	}
	.is-style-post-temp-grille-en-avant-2-col > .wp-block-post:first-child {
	  grid-column: 1 / 2;
	  grid-row: 1 / 4;
	}
	.is-style-post-temp-grille-en-avant-2-col > .wp-block-post:not(:first-child) {
	  grid-column: 2 / 3;
	}
	[class*="is-style-post-temp-grille-en-avant"] .wp-block-post:nth-child(n+2) .corps .wp-block-post-title,
	.is-style-post-temp-grille-2-col.grille-contenu .wp-block-post .corps .wp-block-post-title {
		font-size: var(--wp--preset--font-size--taille-5);
	}
	.is-style-post-temp-img-titre-extrait .wp-block-post {
	   min-height: 534px;
	}
	.enveloppe-une-colonnes .is-style-post-temp-img-titre-extrait .wp-block-post {
		min-height: unset;
	}

}